#include "WProgram.h"
void myPWM(int pin, int len, int total);
void myDelayMicroseconds(int len);
int ledPin = 13;
int potPin = 0;

void setup() {
  pinMode(ledPin,OUTPUT);
  Serial.begin(9600);        // use the serial port to send the values back to the computer
}

void loop() {
  int val;
  val = analogRead(potPin);    // read the value from the sensor
  //Serial.println(val);           // print the value to the serial port
  myPWM(ledPin, val, 1023);
}

void myPWM(int pin, int len, int total) {
  digitalWrite(pin, HIGH);
  myDelayMicroseconds(len);
  digitalWrite(pin, LOW);
  myDelayMicroseconds(total-len);
}

// delayMicroseconds hat einen seltsamen bug wenn man sie mit 0 aufruft
void myDelayMicroseconds(int len) {
  if (len != 0) {
    delayMicroseconds(len);
  }
}
  
  
  
