#include "WProgram.h"
#define COLORS 3

void setup();
void loop();
int color[COLORS] = {0, 0, 0};
int invert[COLORS] = {1, 1, 0};
int targetColor[COLORS] = {255, 255, 255};
int colorPin[COLORS] = {10, 11, 9};
int i;
int serByte;


void setup() {
  for (i = 0; i < COLORS; i++) {
    pinMode(colorPin[i], OUTPUT);
  }
  Serial.begin(9600);  
}

int cycles = 0;

void loop() {
  
  for (i = 0; i < COLORS; i++) {
   if (cycles % (i+2) == 0) {
     digitalWrite(colorPin[i], invert[i] ? 0 : 1);
   }
   else {
     digitalWrite(colorPin[i], invert[i] ? 1 : 0); 
   }
  }
  cycles++;
  delay(800);
}
  
  
  

int main(void)
{
	init();

	setup();
    
	for (;;)
		loop();
        
	return 0;
}

