int servoPin = 13;
int potPin = 0;

void setup() {
  pinMode(servoPin,OUTPUT);
  Serial.begin(9600);        // use the serial port to send the values back to the computer
}

int cnt = 0;

void loop() {
  int val;
  val = analogRead(potPin);    // read the value from the sensor
  if (cnt % 10 == 0)
    Serial.println(val);           // print the value to the serial port
  servo(servoPin, val);
}

void servo(int pin, int len) {
  digitalWrite(pin, HIGH);
  delayMicroseconds(550);
  myDelayMicroseconds(len);
  digitalWrite(pin, LOW);
  delay(5);
}

// delayMicroseconds hat einen seltsamen bug wenn man sie mit 0 aufruft
void myDelayMicroseconds(int len) {
  if (len != 0) {
    delayMicroseconds(len);
  }
}
  
  
  
